package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Visa_durationRepository;
import com.realnet.vpspack.Entity.Visa_duration
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class Visa_durationService {
@Autowired
private Visa_durationRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Visa_duration Savedata(Visa_duration data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Visa_duration save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Visa_duration> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Visa_duration> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Visa_duration> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Visa_duration getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Visa_duration update(Visa_duration data,Integer id) {
	Visa_duration old = Repository.findById(id).get();
old.setVisa_duration(data.getVisa_duration());

final Visa_duration test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
